From b840d7b7795d777513917862c5ab8a51490e841e Mon Sep 17 00:00:00 2001
From: Julio Galvan <julio@epazote.net>
Date: Tue, 18 Jun 2019 01:49:51 -0700
Subject: [PATCH 1/2] lxc: update to 3.1.0

---
 srcpkgs/lxc/patches/lxc-usernsexec.patch | 83 ------------------------
 srcpkgs/lxc/template                     |  6 +-
 2 files changed, 3 insertions(+), 86 deletions(-)
 delete mode 100644 srcpkgs/lxc/patches/lxc-usernsexec.patch

diff --git a/srcpkgs/lxc/patches/lxc-usernsexec.patch b/srcpkgs/lxc/patches/lxc-usernsexec.patch
deleted file mode 100644
index 666d87c68ce..00000000000
--- a/srcpkgs/lxc/patches/lxc-usernsexec.patch
+++ /dev/null
@@ -1,83 +0,0 @@
-commit c14ea11dccbfa80021a9b169b94bd86e8b359611
-Author: Cameron Nemo <camerontnorman@gmail.com>
-Date:   Wed Nov 28 19:42:29 2018 -0800
-
-    lxc-usernsexec: fix default map functionality
-    
-    * Place NULL bytes at the end of strings so that
-      lxc_safe_ulong() can parse them correctly
-    
-    * Only free the newly created id_map on error,
-      to avoid passing garbage to lxc_map_ids()
-    
-    Signed-off-by: Cameron Nemo <camerontnorman@gmail.com>
-
-diff --git src/lxc/cmd/lxc_usernsexec.c src/lxc/cmd/lxc_usernsexec.c
-index 10557dd5..ab0dffcf 100644
---- src/lxc/cmd/lxc_usernsexec.c
-+++ src/lxc/cmd/lxc_usernsexec.c
-@@ -200,6 +200,7 @@ static int read_default_map(char *fnam, int which, char *user)
- {
- 	size_t len;
- 	char *p1, *p2;
-+	unsigned long ul1, ul2;
- 	FILE *fin;
- 	int ret = -1;
- 	size_t sz = 0;
-@@ -224,37 +225,42 @@ static int read_default_map(char *fnam, int which, char *user)
- 		if (!p2)
- 			continue;
- 
--		newmap = malloc(sizeof(*newmap));
--		if (!newmap)
--			goto on_error;
-+		line[strlen(line) - 1] = '\0';
-+		*p2 = '\0';
- 
--		ret = lxc_safe_ulong(p1 + 1, &newmap->hostid);
-+		ret = lxc_safe_ulong(p1 + 1, &ul1);
- 		if (ret < 0)
--			goto on_error;
-+			break;
- 
--		ret = lxc_safe_ulong(p2 + 1, &newmap->range);
-+		ret = lxc_safe_ulong(p2 + 1, &ul2);
- 		if (ret < 0)
--			goto on_error;
-+			break;
-+
-+		ret = -1;
-+		newmap = malloc(sizeof(*newmap));
-+		if (!newmap)
-+			break;
- 
- 		newmap->nsid = 0;
- 		newmap->idtype = which;
-+		newmap->hostid = ul1;
-+		newmap->range = ul2;
- 
--		ret = -1;
- 		tmp = malloc(sizeof(*tmp));
--		if (!tmp)
--			goto on_error;
-+		if (!tmp) {
-+			free(newmap);
-+			break;
-+		}
- 
- 		tmp->elem = newmap;
- 		lxc_list_add_tail(&active_map, tmp);
-+
-+		ret = 0;
- 		break;
- 	}
- 
--	ret = 0;
--
--on_error:
- 	fclose(fin);
- 	free(line);
--	free(newmap);
- 
- 	return ret;
- }
diff --git a/srcpkgs/lxc/template b/srcpkgs/lxc/template
index c2c72aec65f..17464dc08f8 100644
--- a/srcpkgs/lxc/template
+++ b/srcpkgs/lxc/template
@@ -2,8 +2,8 @@
 _desc="Linux Containers"
 
 pkgname=lxc
-version=3.0.3
-revision=4
+version=3.1.0
+revision=1
 build_style=gnu-configure
 configure_args="--enable-doc --enable-seccomp
  --enable-capabilities --enable-apparmor --with-distro=none
@@ -16,7 +16,7 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 homepage="https://linuxcontainers.org"
 license="LGPL-2.1-or-later"
 distfiles="https://linuxcontainers.org/downloads/lxc-${version}.tar.gz"
-checksum=620cb832cc02c63bf4d330657bf6176544e145da281ee384a34d689635a19841
+checksum=4d8772c25baeaea2c37a954902b88c05d1454c91c887cb6a0997258cfac3fdc5
 
 conf_files="/etc/lxc/default.conf"
 make_dirs="

From 64ff77fb9f20bc42272405c483298247388e0d39 Mon Sep 17 00:00:00 2001
From: Julio Galvan <julio@epazote.net>
Date: Tue, 18 Jun 2019 01:50:23 -0700
Subject: [PATCH 2/2] lxd: update to 3.14

---
 srcpkgs/lxd/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/lxd/template b/srcpkgs/lxd/template
index 1fa0cd0731f..2a9cf44d88d 100644
--- a/srcpkgs/lxd/template
+++ b/srcpkgs/lxd/template
@@ -1,6 +1,6 @@
 # Template file for 'lxd'
 pkgname=lxd
-version=3.13
+version=3.14
 revision=1
 build_style=go
 go_import_path=github.com/lxc/lxd
@@ -15,7 +15,7 @@ maintainer="Cameron Nemo <camerontnorman@gmail.com>"
 license="Apache-2.0"
 homepage="https://linuxcontainers.org/lxd"
 distfiles="https://linuxcontainers.org/downloads/lxd/lxd-${version}.tar.gz"
-checksum=025138d2ac7ade6e34446f90f2d25ded86aedcad726d85ba8f2b7188dab75acd
+checksum=409e4758cbeb43b098d0265c4ce05aeeac5ae73f8914ceb1006e6a6d89fe1fe5
 system_groups="lxd"
 
 do_configure() {
